package JSci.doclet;

import com.sun.javadoc.*;
import com.sun.tools.doclets.standard.*;

public class FieldSubWriter extends com.sun.tools.doclets.standard.FieldSubWriter {
        public FieldSubWriter(SubWriterHolderWriter writer, ClassDoc classdoc) {
                super(writer, classdoc);
        }
        public FieldSubWriter(SubWriterHolderWriter writer) {
                super(writer);
        }

    protected void printTags(ProgramElementDoc member) {
        Tag[] since = member.tags("since");
        Tag[] planetmaths = member.tags("planetmath");
        if (member.seeTags().length + since.length + planetmaths.length > 0) {
            writer.dd();
            writer.dl();
            writer.printSeeTags(member);
            writer.printSinceTag(member);
            ((JSci.doclet.ClassWriter) writer).printPlanetMathTags(member);
            writer.dlEnd();
            writer.ddEnd();
        }
    }
}

